Debian Bug report logs - #641710
dh_sphinxdoc doesn't work when HAS_SOURCE is set to false (and _sources directory is missing)

version graph

Package: python-sphinx; Maintainer for python-sphinx is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-sphinx is src:sphinx.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Thu, 15 Sep 2011 10:32:35 UTC

Severity: normal

Found in version sphinx/1.0.7+dfsg-1

Fixed in version sphinx/1.0.7+dfsg-2

Done: Jakub Wilk <jwilk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#641710; Package python-sphinx. (Thu, 15 Sep 2011 10:32:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Thu, 15 Sep 2011 10:32:48 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dh_sphinxdoc doesn't work when HAS_SOURCE is set to false (and _sources directory is missing)
Date: Thu, 15 Sep 2011 12:30:58 +0200
Package: python-sphinx
Version: 1.0.7+dfsg-1
Severity: normal
File: /usr/bin/dh_sphinxdoc

Since the python-django-doc package is quite big, we wanted to save some
spaces by dropping the _sources directory. I noticed that dh_sphinxdoc
analyzed the HAS_SOURCE setting in search.html to adjust its behaviour
so instead of directly removing the _sources directory I modified conf.py
to disable its generation (html_copy_source = False).

Despite this, dh_sphinxdoc fails with:
dh_sphinxdoc: debian/python-django-doc/usr/share/doc/python-django-doc/html/_sources/releases/1.0.txt is missing

Looking at the code, you extract the value (true or false) but afterwards
you only use it in a form “if $has_source”... you should really replace
this with “if $has_source eq "true"”.

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-sphinx depends on:
ii  libjs-sphinxdoc  1.0.7+dfsg-1
ii  python           2.6.7-3     
ii  python-docutils  0.8.1-2     
ii  python-jinja2    2.6-1       
ii  python-pygments  1.4+dfsg-2  
ii  python-support   1.0.14      

Versions of packages python-sphinx recommends:
ii  python             2.6.7-3
ii  python-imaging     1.1.7-4
ii  python-simplejson  2.2.0-1

Versions of packages python-sphinx suggests:
pn  jsmath  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#641710; Package python-sphinx. (Thu, 15 Sep 2011 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Thu, 15 Sep 2011 10:54:06 GMT) Full text and rfc822 format available.

Message #10 received at 641710@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Raphaël Hertzog <hertzog@debian.org>, 641710@bugs.debian.org
Subject: Re: Bug#641710: dh_sphinxdoc doesn't work when HAS_SOURCE is set to false (and _sources directory is missing)
Date: Thu, 15 Sep 2011 12:50:58 +0200
tags 641710 + confirmed
thanks

* Raphaël Hertzog <hertzog@debian.org>, 2011-09-15, 12:30:
>Since the python-django-doc package is quite big, we wanted to save 
>some spaces by dropping the _sources directory. I noticed that 
>dh_sphinxdoc analyzed the HAS_SOURCE setting in search.html to adjust 
>its behaviour 

If you build with html_copy_source=1 and then manually remove sources, 
the search function will be broken. That's why dh_sphinxdoc doesn't 
allow that.

>so instead of directly removing the _sources directory I modified 
>conf.py to disable its generation (html_copy_source = False).
>
>Despite this, dh_sphinxdoc fails with:
>dh_sphinxdoc: debian/python-django-doc/usr/share/doc/python-django-doc/html/_sources/releases/1.0.txt is missing
>
>Looking at the code, you extract the value (true or false) but 
>afterwards you only use it in a form “if $has_source”... you should 
>really replace this with “if $has_source eq "true"”.

Thanks for your analysis. I'll try to fix the package as soon as 
possible, but if you are in hurry, you can pass -X.txt to 
dh_sphinxdoc as a work-around.

-- 
Jakub Wilk




Reply sent to Jakub Wilk <jwilk@debian.org>:
You have taken responsibility. (Thu, 15 Sep 2011 12:25:13 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Thu, 15 Sep 2011 12:25:25 GMT) Full text and rfc822 format available.

Message #15 received at 641710-close@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 641710-close@bugs.debian.org
Subject: Bug#641710: fixed in sphinx 1.0.7+dfsg-2
Date: Thu, 15 Sep 2011 12:17:32 +0000
Source: sphinx
Source-Version: 1.0.7+dfsg-2

We believe that the bug you reported is fixed in the latest version of
sphinx, which is due to be installed in the Debian FTP archive:

libjs-sphinxdoc_1.0.7+dfsg-2_all.deb
  to main/s/sphinx/libjs-sphinxdoc_1.0.7+dfsg-2_all.deb
python-sphinx_1.0.7+dfsg-2_all.deb
  to main/s/sphinx/python-sphinx_1.0.7+dfsg-2_all.deb
sphinx_1.0.7+dfsg-2.debian.tar.gz
  to main/s/sphinx/sphinx_1.0.7+dfsg-2.debian.tar.gz
sphinx_1.0.7+dfsg-2.dsc
  to main/s/sphinx/sphinx_1.0.7+dfsg-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641710@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jakub Wilk <jwilk@debian.org> (supplier of updated sphinx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 15 Sep 2011 13:53:16 +0200
Source: sphinx
Binary: python-sphinx libjs-sphinxdoc
Architecture: source all
Version: 1.0.7+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Jakub Wilk <jwilk@debian.org>
Changed-By: Jakub Wilk <jwilk@debian.org>
Description: 
 libjs-sphinxdoc - JavaScript support for Sphinx documentation
 python-sphinx - tool for producing documentation for Python projects
Closes: 641710
Changes: 
 sphinx (1.0.7+dfsg-2) unstable; urgency=low
 .
   * JavaScript test suite: don't hang if get_title() returns None. Thanks to
     Ansgar Burchardt for the bug report.
   * dh_sphinxdoc:
     + Fix a typo in the manual page.
     + Don't check for existence of source files if HAS_SOURCE is false
       (closes: #641710). Thanks to Raphaël Hertzog for the bug report.
   * Disable use of ez_setup in setup.py.
   * Set myself as maintainer. Thanks to Mikhail Gusarov for his past work!
Checksums-Sha1: 
 145145059386b3f3c8c3cf3cdc29d4f844e8a12e 2308 sphinx_1.0.7+dfsg-2.dsc
 4ff8a59287d69ff8377ee798f874696516cadb89 25400 sphinx_1.0.7+dfsg-2.debian.tar.gz
 926e4ed14d1b436a34073faa7f72234732957e40 1251670 python-sphinx_1.0.7+dfsg-2_all.deb
 ca1918cb6aca75edd955b966f7cc1f2a33c5a00d 37636 libjs-sphinxdoc_1.0.7+dfsg-2_all.deb
Checksums-Sha256: 
 e15b2f0366b03d895a505f881ae1049bf47f7f6906ca72991d2b526e62a12e94 2308 sphinx_1.0.7+dfsg-2.dsc
 ac48d527091ca45ba531e354353bbdcacdda10a4758521eb609040d271b82f5a 25400 sphinx_1.0.7+dfsg-2.debian.tar.gz
 0a8449a29ca9259042f8eb482b398a96ff50927dd4c0e06e242100e852749f85 1251670 python-sphinx_1.0.7+dfsg-2_all.deb
 0e52b8a4c06cf0133a53f0132f4156382c6a8fac39ca08936308681cfb357771 37636 libjs-sphinxdoc_1.0.7+dfsg-2_all.deb
Files: 
 54ec8206b60af0f3eac2d20a7a65c8df 2308 python optional sphinx_1.0.7+dfsg-2.dsc
 57b1dc085c30a45fe93be0e27eb396fa 25400 python optional sphinx_1.0.7+dfsg-2.debian.tar.gz
 cc557440ce6901cca0e167c3a1208fa8 1251670 python optional python-sphinx_1.0.7+dfsg-2_all.deb
 b22ceb1b4e20b9dd0341d45ab781b472 37636 web optional libjs-sphinxdoc_1.0.7+dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOcelqAAoJEC1Os6YBVHX1UngP/2iexXEvmCwn3ODcxVTdrGRu
0Aezl8ufibcgiXdUuFCxirFUlD91NUm+IlVZOrEB0WxvQ+aVig9qDmdTQaeRtNUU
VcmLxULb3UyqItVMpMnEUIASkpeC73TZTSAM9rMiMrQtblE4xHZe7DVIkEVr7HDD
u9ZK39qM6FYrUZ2aqkrPv9cEbAHkDywJ5CKjd0S4/bGNtsWC9l4k0r+YHQw6swSR
ZnIW+F+rkbqdmavPtuddnBNt0XHnExBCBfpkMrdGaXUoFapxKrDsEB5/9mzQmNSZ
NIORF9EvjF4m7j8JAR94Jp7V+sclcCSX5gXbCqLhy68yFcxSp1Am7UgvSHYCjG7C
JtD3+hFFyCUCSmlCO550DHmpeOIpDt1bkGctckqGEEuodtR9FJWx8CowRPTGevye
l1Jj9Grf1ahuKo27olFvKCS5ajEHvcjbl2G5OVenMvQNfz9Z8sFrnWgJpv/Z922+
9v+mNwR/NrOE7nvganlnFj7oFVdA39qkg4loq6PExFKytkx5ThGRJg6Dbb7fyyPQ
hKgoMzlHG9IqjfddUjOmEP0YOv2zaJHXtGN2uYcoukkz3j0BQF9KbX5rd3+PCVON
0a1IHT4xzJDaoMLhfNAB7C9gS9XKk4g+ndWgvHFyzPfRZHlCfKBwkCI+apOpmxVH
0c8eFdgs7INlpcVDEakj
=2RoN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Oct 2011 07:34:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:16:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.